Sn0wbreeze 2.8b9 Download Available, Supports iOS 5.0.1 Jailbreak

 

Sn0wbreeze 2.8b9 has been released, serving the same function as that of Redsn0w 0.9.9b8, i.e. helping to jailbreak iOS 5.0.1 beta firmware. Download link is at the bottom.

Similar to iOS 5, all supported devices except the old bootrom iPhone 3GS can get a tethered jailbreak on iOS 5.0.1.

Sn0wbreeze 2.8b9 Download Available, Supports iOS 5.0.1 Jailbreak

Sn0wbreeze 2.8b9

Difference of Sn0wbreeze 2.8b9 from its similar Redsn0w release is that it brings in fixes for the iBooks crashing issue and the location services issue in iPhone 3GS on the iPad baseband.

Have a look at the change log :

* Supports iOS 5.0 (9A334)/5.0.1-b1 (9A402)
* Fixed iBooks sandbox crashing issues.
* Fixed location services issues with iPhone 3GS
  users running the iPad baseband.
* Re-added iPad baseband install option to iPhone 3GS.
* Removes UDID requirement/Beta timer in 5.0.1.
* Tethered devices are booted via iBooty which is
  extracted to the Desktop after running sn0wbreeze.

Download Sn0wbreeze 2.8b9 from here

Follow us on twitter or like us on Facebook for more updates on iOS 5.0.1 and about its jailbreak and unlock!

Related Posts Plugin for WordPress, Blogger...
  • Manniciencias

    I got error 1600/1602/1604 in the last step, I mean, when I try to restore the new iOS5
    Could you give me some hints to fix this error.

    Thanks
    manu